veteranus Posted November 16, 2015 Posted November 16, 2015 Hi members, I need a lisp routine that will be draw a rectangle with solid hatch with in default. Can you help? Quote
Tharwat Posted November 16, 2015 Posted November 16, 2015 This? (defun c:test (/ e r) (setq e (entlast)) (command "_.rectang" "\\" "\\") (if (/= e (setq r (entlast))) (command "_.-hatch" "S" r "" "P" "SOLID" "") ) (princ) ) Quote
veteranus Posted November 16, 2015 Author Posted November 16, 2015 This? (defun c:test (/ e r) (setq e (entlast)) (command "_.rectang" "\\" "\\") (if (/= e (setq r (entlast))) (command "_.-hatch" "S" r "" "P" "SOLID" "") ) (princ) ) Great work! Can we add a default transparency options. For example 50% ? Quote
Tharwat Posted November 16, 2015 Posted November 16, 2015 Change the command hatch in the previous routine with the following one. (command "_.-hatch" "S" r "" "P" "SOLID" "TRANSPARENCY" 50 "") 1 Quote
rungruang Posted June 3, 2023 Posted June 3, 2023 On 11/16/2015 at 6:49 PM, Tharwat said: Change the command hatch in the previous routine with the following one. (command "_.-hatch" "S" r "" "P" "SOLID" "TRANSPARENCY" 50 "") want to solid color fill same the color bylayer pleas . Quote
Tharwat Posted June 4, 2023 Posted June 4, 2023 22 hours ago, rungruang said: want to solid color fill same the color bylayer pleas . This shall change the color of solid to be bylayer regardless of cecolor system variable: (command "_.-hatch" "S" r "" "P" "SOLID" "" "t" 0) 1 Quote
Tharwat Posted June 5, 2023 Posted June 5, 2023 1 hour ago, rungruang said: thank you sir. You're welcome anytime. Quote
catoscuro Posted June 6, 2023 Posted June 6, 2023 con Diesel PLACA DE CONCRETO ^C^C_-layer;_s;70N;;_rectang;\\_-layer;_s;HT;;_-HATCH;_p;AR-CONC;6;0;_r;s;(entlast);;; Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.